apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ pgsessions_name }}
  namespace: {{ namespace }}
data:
  sessions-table-init.sh: |
    #!/bin/sh
    if test "$DEBUG"; then
        set -x;
    fi;
    if test "$POSTGRES_APP_DB"; then
        if psql postgres -tAc "SELECT * FROM $POSTGRES_APP_DB LIMIT 5;'" | grep -q a_session; then
            echo "NOTICE: database $POSTGRES_APP_DB already initialized";
        else
            psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_APP_DB" <<-EOSQL
    CREATE unlogged TABLE sessions ( id CHAR(32) NOT NULL PRIMARY KEY, a_session TEXT );
    EOSQL
        fi
    else
        if psql postgres -tAc "SELECT * FROM $POSTGRES_DB LIMIT 5;'" | grep -q a_session; then
            echo "NOTICE: database $POSTGRES_DB already initialized";
        else
            psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
    CREATE unlogged TABLE sessions ( id CHAR(32) NOT NULL PRIMARY KEY, a_session TEXT );
    EOSQL
        fi
    fi
